Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 11-11-2022 22:04:10

clahor
Membre
Inscription : 05-03-2013

gnome sur bookworm??

bonjour a tous
j'ai qlq difficultés  a installer gnome sur une installation fraiche de bookworm , j'ai bien mis a jour a priori mon sources list est correct j'ai fait qlq manoeuvres style dpkg reconfigure , apt fix-broken , j'ai essayé tasksel

les messages d'erreur c'est il faut installer tel paquet mais le paquet n'est pas installable

avez vous eu les memes difficultés??

merci d'avance

Hors ligne

#2 11-11-2022 23:49:41

Roland05
Adhérent(e)
Distrib. : Debian Bullseye
Noyau : Linux 5.10.0-14-amd64
(G)UI : Xfce
Inscription : 06-01-2020

Re : gnome sur bookworm??

Bonsoir.
Tu devrai mettre les commandes que tu as faites et les résultats obtenus.
Ainsi, on (plutôt ils) pourront mieux t'aider.
Bonne soirée.
Roland.

Hors ligne

#3 12-11-2022 08:40:55

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : gnome sur bookworm??

Bonjour
par exemple en simulation


apt -s install gnome-core
 


un bout du retour


Les paquets suivants seront mis à jour :
  ibus-gtk3 ibus-wayland libibus-1.0-5
3 mis à jour, 144 nouvellement installés, 0 à enlever et 9 non mis à jour.
 


ps: j'ai déjà un bureau mate installé sur la machine
mon sources.list


#bookworm12 http
deb http://security.debian.org/debian-security bookworm-security main contrib non-free
deb http://deb.debian.org/debian/ bookworm-updates main contrib non-free
deb http://deb.debian.org/debian/ bookworm main contrib non-free
 

Dernière modification par robert2a (12-11-2022 08:41:44)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#4 12-11-2022 12:03:21

clahor
Membre
Inscription : 05-03-2013

Re : gnome sur bookworm??

bonjour merci pour les retours je suis du coup sous xcfe 'et sous virtualbox en invité)

mon sources.list

# deb cdrom:[Debian GNU/Linux 11.5.0 _bookworm_ - Official amd64 NETINST 20220910-10:38]/ bullseye main

# deb cdrom:[Debian GNU/Linux 11.5.0 _bookworm_ - Official amd64 NETINST 20220910-10:38]/ bookworm main

#depot principal
deb http://deb.debian.org/debian/ bookworm main contrib non-free
deb-src http://deb.debian.org/debian/ bookworm main contrib non-free

#bookworm mise a jour de securite
deb http://security.debian.org/debian-security bookworm-security main contrib non-free
deb-src http://security.debian.org/debian-security bookworm-security main contrib non-free

# bookworm-updates, to get updates before a point release is made;
# see https://www.debian.org/doc/manuals/debian-reference/ch02.en.html#_updates_and_backports
#deb http://deb.debian.org/debian/ bookworm-updates main contrib non-free
#deb-src http://deb.debian.org/debian/ bookworm-updates main contrib non-free



sudo apt install gnome-core
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 gnome-core : Dépend: gdm3 (>= 3.38) mais il n'est pas installable
              Dépend: gnome-bluetooth-sendto (>= 42) mais ne sera pas installé
              Dépend: gnome-session (>= 3.38) mais ne sera pas installé
              Dépend: gnome-shell (>= 42) mais il n'est pas installable
              Dépend: gnome-shell-extensions (>= 42) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».



j'ai fait

sudo dpkg --configure -a

dpkg --audit

# apt dist-upgrade

@debian3:~$ sudo tasksel
tasksel: erreur du programme apt-get (100)

sudo apt install –install-recommends

@debian3:~$ sudo apt install gnome
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 gnome : Dépend: gnome-core (= 1:42+8) mais ne sera pas installé
         Dépend: evolution (>= 3.36) mais il n'est pas installable
         Dépend: evolution-plugins (>= 3.36) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état »



bien sur update upgrade avant

rien n'y fait merci d'avance

Dernière modification par clahor (12-11-2022 12:19:25)

Hors ligne

#5 12-11-2022 12:22:28

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : gnome sur bookworm??

ton sources.list actuel :


# deb cdrom:[Debian GNU/Linux 11.5.0 _bookworm_ - Official amd64 NETINST 20220910-10:38]/ bullseye main

# deb cdrom:[Debian GNU/Linux 11.5.0 _bookworm_ - Official amd64 NETINST 20220910-10:38]/ bookworm main

#depot principal
deb http://deb.debian.org/debian/ bookworm main contrib non-free
deb-src http://deb.debian.org/debian/ bookworm main contrib non-free

#bookworm mise a jour de securite
deb http://security.debian.org/debian-security bookworm-security main contrib non-free
deb-src http://security.debian.org/debian-security bookworm-security main contrib non-free

# bookworm-updates, to get updates before a point release is made;
# see https://www.debian.org/doc/manuals/debian-reference/ch02.en.html#_updates_and_backports
#deb http://deb.debian.org/debian/ bookworm-updates main contrib non-free
#deb-src http://deb.debian.org/debian/ bookworm-updates main contrib non-free
 



a modifier comme ci dessous


# deb cdrom:[Debian GNU/Linux 11.5.0 _bookworm_ - Official amd64 NETINST 20220910-10:38]/ bullseye main

# deb cdrom:[Debian GNU/Linux 11.5.0 _bookworm_ - Official amd64 NETINST 20220910-10:38]/ bookworm main

#depot principal
deb http://deb.debian.org/debian/ bookworm main contrib non-free
#deb-src http://deb.debian.org/debian/ bookworm main contrib non-free

#bookworm mise a jour de securite
deb http://security.debian.org/debian-security bookworm-security main contrib non-free
#deb-src http://security.debian.org/debian-security bookworm-security main contrib non-free

# bookworm-updates, to get updates before a point release is made;
# see https://www.debian.org/doc/manuals/debian-reference/ch02.en.html#_updates_and_backports
deb http://deb.debian.org/debian/ bookworm-updates main contrib non-free
#deb-src http://deb.debian.org/debian/ bookworm-updates main contrib non-free
 



j'ai activer bookworm-updates
j'ai désactiver "deb-src" (pour les paquets sources)
puis tu fais :


apt update
 



apt full-upgrade
 



puis tu retente d'installer "gnome-core"


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#6 12-11-2022 12:28:56

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : gnome sur bookworm??

petite question actuellement tu a une installation de bookworm sans bureau ?
comment tu a fait , tu est parti avec quel support et quelle version de debian

un début de réponse


je suis du coup sous xcfe 'et sous virtualbox en invité)
 



je pourrai pas t'aider plus , je connais pas virtualbox (dans le cas ou cela ne fonctionne toujours pas )
ps: c'est xfce le bureau , (et pas xcfe) .

Dernière modification par robert2a (12-11-2022 12:33:49)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#7 12-11-2022 14:13:02

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.10.0-19-amd64
(G)UI : mutter 3.38.6-2~deb11u2
Inscription : 15-02-2016

Re : gnome sur bookworm??

Après la modification du sources.list et les mises à jour comme indiqué par robert2a, mieux vaux installer task-gnome-desktop plutôt que gnome-core.

task-gnome-desktop est plus complet que gnome-core :

https://packages.debian.org/bullseye/task-gnome-desktop

« Quand la vérité n'est pas libre, la liberté n'est pas vraie. » Jacques Prévert

Hors ligne

#8 12-11-2022 18:39:51

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : gnome sur bookworm??

re,
j'ai mit un exemple avec gnome-core pour voir les retours , mais je pense qu'il a un souci avec virtualbox .
que je n'utilise pas et que je connais pas  roll

Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#9 12-11-2022 19:26:51

clahor
Membre
Inscription : 05-03-2013

Re : gnome sur bookworm??

bonjour merci pour les réponses , j'ai modifié le sources.list et fait le full-upgrade , la commande apt install task-gnome-desktop se termine de la façon suivante

sudo apt install  task-gnome-desktop
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait      
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 gnome-bluetooth-sendto : Casse: gnome-bluetooth (< 42~)
 gnome-core : Dépend: gdm3 (>= 3.38) mais il n'est pas installable
              Dépend: gnome-session (>= 3.38) mais ne sera pas installé
              Dépend: gnome-shell (>= 42) mais il n'est pas installable
              Dépend: gnome-shell-extensions (>= 42) mais ne sera pas installé
E: Erreur, pkgProblem::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.



quand ça veut pas.......

Hors ligne

#10 12-11-2022 19:50:58

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : gnome sur bookworm??

il va falloir faire des pings vers l'extérieur pour vérifier ton réseau sur bookworm
comment se termine un "apt update" , tu a des erreurs ?
un souci de DNS a partir de virtualbox peut être
le contenu de ceci


cat /etc/resolv.conf
 



ip address
 



remarque:
a faire sur ta machine virtuelle en console (pas sur l' Hôte )

Dernière modification par robert2a (12-11-2022 19:52:12)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#11 12-11-2022 20:19:46

clahor
Membre
Inscription : 05-03-2013

Re : gnome sur bookworm??

bonjour pourtant ça a l'air de fonctionner

cat /etc/resolv.conf
# Generated by NetworkManager
nameserver 192.168.1.1



ip address

1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: enp0s3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 08:00:27:c8:34:ce brd ff:ff:ff:ff:ff:ff
    inet 10.0.2.15/24 brd 10.0.2.255 scope global dynamic noprefixroute enp0s3
       valid_lft 82987sec preferred_lft 82987sec
    inet6 fe80::a00:27ff:fec8:34ce/64 scope link noprefixroute
       valid_lft forever preferred_lft forever



j'ai reussi avec synaptic a installer après redémarrage
gnome-shell gnome-shell-extensions et finalement aussi gnome-core

merci a tous

Dernière modification par clahor (12-11-2022 20:33:54)

Hors ligne

#12 13-11-2022 00:10:13

robert2a
Membre
Distrib. : Bookworm version 12
Noyau : kernel 6.x.x
(G)UI : Mate
Inscription : 15-11-2014

Re : gnome sur bookworm??

encore une fois je connais pas virtualbox
ipv4 => 10.0.2.15/24 brd 10.0.2.255
ipv6 => fe80::a00:27ff:fec8:34ce/64
pour le DNS c'est la box
après les routes de ta machine virtuelle vers l' hôte puis vers la box je sais pas  smile

Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#13 13-11-2022 11:05:22

clahor
Membre
Inscription : 05-03-2013

Re : gnome sur bookworm??

merci pour toutes les réponses finalement c'est résolu....j'ai réussi avec synaptic et pas avec apt pourtant je croyais que l'un etait l'interface graphique de l'autre????

Hors ligne

Pied de page des forums